<?php
/**
 * @package	HikaShop for Joomla!
 * @version	2.4.0
 * @author	hikashop.com
 * @copyright	(C) 2010-2015 HIKARI SOFTWARE. All rights reserved.
 * @license	GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */
defined('_JEXEC') or die('Restricted access');

class plgHikashopshippingPostdk extends hikashopShippingPlugin {
	var $multiple = true;
	var $name = 'PostDK';
	var $pluginConfig = array();

	function processPackageLimit($limit_key, $limit_value, $product, $qty, $package, $units) {
		switch ($limit_key) {
			case 'volume':
				if(($product['x'] * $product['y'] * $product['z']) > $limit_value)
					return false;
				return (int)floor($limit_value / ($product['x'] * $product['y'] * $product['z']));
				break;
			case 'girth':
				if(($product['x'] + $product['y']) * 2  > $limit_value)
					return false;
				return (int)floor($limit_value / (($product['x'] + $product['y']) * 2 ));
				break;
		}
		return parent::processPackageLimit($limit_key, $limit_value , $product, $qty, $package, $units);
	}
	function shippingMethods(&$main){
		$methods = array();
		if(!empty($main->shipping_params->methodsList)){
			$main->shipping_params->methods=unserialize($main->shipping_params->methodsList);
		}
		if(!empty($main->shipping_params->methods)){
			foreach($main->shipping_params->methods as $method){
				$selected = null;
				foreach($this->ups_methods as $postdk){
					if($postdk['code']==$method) {
						$selected = $postdk;
						break;
					}
				}
				if($selected){
					$methods[$main->shipping_id . '-' . $selected['key']] = $selected['name'];
				}
			}
		}
		return $methods;
	}
	
	function onShippingDisplay(&$order,&$methods,&$usable_methods,&$messages){}
    function onShippingSave(&$order,&$methods,&$shipping_id){}
    function onShippingConfiguration(&$element){}
    function onShippingConfigurationSave(&$element){}
    //function shippingMethods(&$method){}
    function onAfterProcessShippings(&$usable_rates){}


}
